program separa_data
    implicit none
    integer n_data, dia, mes, ano
    
    write(*,*) "Programa que le um inteiro de 8 digitos representando uma data no formato DDMMAAAA e separa Dia, Mes e Ano"
    write(*,*)

    
    write(*,*) "Digite um inteiro de 8 digitos representando uma data no formato DDMMAAAA:"
    read(*,*) n_data

    dia =  n_data /10000 /100
    mes =  mod((n_data / 10000), 100)
    ano =  mod(n_data,10000) 
    
    write(*,*) "Dia: ", dia
    write(*,*) "Mes: ", mes
    write(*,*) "Ano: ", ano

    stop
end program separa_data